require 'test_helper'

class SubmitSolutionTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end
  setup do
    @valaki = users(:valaki)
    @t = tasks(:two)
  end
  
  test "submit a solution" do
    get '/tasks'
    assert_response :success
    assert_select 'legend', "Login"
    post_via_redirect "/sessions/create", 
      {:username=>@valaki.username, :password => 'titkos'},
      { "HTTP_REFERER" =>'/tasks'}
    assert_response :success
    assert_equal session[:user], @valaki.id
    get '/tasks/'+@t.id.to_s
    assert_response :success
    n = Submission.count
    upload_file = fixture_file_upload('test/fixtures/hf.txt','text/plain')
    post '/upload/'+@t.id.to_s,
         {:upload => {:file => upload_file }},
         { "HTTP_REFERER" => '/tasks' }
    assert File.exists?(Rails.root.join("public","data", @t.id.to_s, "hf.txt"))
  end
end
