class CommentsController < ApplicationController
  def create
    user = User.find session[:user]
    task = Task.find params[:id]
    @comment = Comment.new
    @comment.user = user
    @comment.task = task
    @comment.comment = params[:comment]
    @comment.save
    respond_to do |format|
      format.html { redirect_to :controller=>'tasks', :action => 'show', :id => task.id }
      format.js
    end
  end

  def destroy
    comment = Comment.find params[:id]
    task = comment.task
    comment.destroy
    respond_to do |format|
      format.html { redirect_to :controller=>'tasks', :action => 'show', :id => task.id }
      format.js { render :nothing=>true }
    end
  end
end
