class CreateSubmissions < ActiveRecord::Migration
  def change
    create_table :submissions do |t|
      t.references :user, index: true
      t.references :task, index: true
      t.string :filename
      t.string :mime
      t.boolean :late

      t.timestamps null: false
    end
    add_foreign_key :submissions, :users
    add_foreign_key :submissions, :tasks
  end
end
